CRMchat APIBeta
Telegram MethodsPayments

payments.getOnrampQuote

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getOnrampQuote

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getOnrampQuote" \  -H "Content-Type: application/json" \  -d '{    "params": {      "provider": "string",      "cryptoCurrency": "string",      "baseCurrency": "string"    }  }'
{  "result": {    "_": "onrampQuote",    "baseCurrency": "string",    "baseAmount": "string",    "cryptoCurrency": "string",    "cryptoAmount": "string",    "cryptoPrice": "string",    "feeAmount": "string",    "extraFeeAmount": "string",    "networkFeeAmount": "string",    "totalAmount": "string",    "paymentMethod": "string",    "expiresDate": 0  },  "txid": 0}